Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
m
Line 21: Line 21:
 
<div class="mw-translate-fuzzy">
 
<div class="mw-translate-fuzzy">
  
L'outil Ajouter vous permet de faire 2 types d'opérations :
+
L'outil Ajouter vous permet de faire 4 types d'opérations :
* Ajouter un [[Part Module/fr|objet]] de base à un composant Architecture, par exemple un [[Arch Wall/fr|mur]] ou une [[Arch Structure/fr|structure]].
+
 
Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.
+
* Ajoutez des objets basés sur [[Module Part/fr|forme]] à un composant Arch, tels qu'un {{KEY|[[Image: Arch_Wall.svg|16px]] [[Arch Wall/fr|mur]]}} ou {{KEY|[[Image: Arch_Structure.svg|16px]] [[Arch Structure/fr|structure]]}}. Ces objets font alors partie du composant Arch et vous permettent de modifier sa forme tout en conservant ses propriétés de base telles que la largeur et la hauteur
* Ajouter des composants Arch, comme des [[Arch Wall/fr|murs]] ou des [[Arch Structure/fr|structures]], dans une [[Arch Cell/fr|cellule]] ou d'autres objets à base de cellules tels que les [[Arch Floor/fr|planchers]].
+
* Ajouter des composants Arch, tels qu'un {{KEY|[[Image: Arch_Wall.svg|16px]] [[Arch Wall/fr|Arch Murs]]}} ou {{KEY|[[Image: Arch_Structure.svg|16px]] [[Arch Structure/fr|Arch Structures]]}}, à un objet arch basé sur un groupe tel que {{KEY|[[Image: Arch_Floor.svg|16px]] [[[Arch Floor/fr|Arch Planchers]]}}.
 +
* Ajoutez {{KEY|[[Image: Arch_Axis.svg|16px]] [[Arch Axis/fr|système d'axes]]}} à un {{KEY|[[Image: Arch_Structure.svg|16px]] [[Arch Structure/fr|objet structural]]}}
 +
* Ajouter des objets à {{KEY|[[Image: Arch_SectionPlane.svg|16px]] [[Arch SectionPlane/fr|plans de coupe]]}}
 
</div>
 
</div>
  

Revision as of 09:51, 24 January 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎日本語
Arrow-left.svg Page précédente: Arch CutPlane.svg Couper suivant un Plan
Page suivante: Soustraire Arch Remove.svg Arrow-right.svg

Arch Add.svg Arch Addition

Emplacement du menu
Arch → Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter vous permet de faire 4 types d'opérations :

  • Ajoutez des objets basés sur forme à un composant Arch, tels qu'un Arch Wall.svg mur ou Arch Structure.svg structure. Ces objets font alors partie du composant Arch et vous permettent de modifier sa forme tout en conservant ses propriétés de base telles que la largeur et la hauteur
  • Ajouter des composants Arch, tels qu'un Arch Wall.svg Arch Murs ou Arch Structure.svg Arch Structures, à un objet arch basé sur un groupe tel que Arch Floor.svg [[[Arch Floor/fr|Arch Planchers]].
  • Ajoutez Arch Axis.svg système d'axes à un Arch Structure.svg objet structural
  • Ajouter des objets à Arch SectionPlane.svg plans de coupe

La contrepartie de cet outil est l'outil Arch Effacer.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à un mur.


Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Arch Add.png Ajouter

Script

Voir aussi: Arch API et Sripts de base FreeCAD.

L'outil Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents(objectsList, host)
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
  • Retour : rien.

Exemple:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch CutPlane.svg Couper suivant un Plan
Page suivante: Soustraire Arch Remove.svg Arrow-right.svg